Ubuntu

Change log for “libtasn1-3” package in Ubuntu

131 of 31 results
Deleted in trusty-release on 2014-04-07 (Reason: lp: #1303878: remove libtasn1-3 from trusty, replaced by ...)
Deleted in trusty-proposed on 2014-04-07 (Reason: moved to release)
libtasn1-3 (2.14-3ubuntu1) trusty; urgency=low

  * Update libtool.m4.
 -- Matthias Klose <email address hidden>   Tue, 03 Dec 2013 13:41:05 +0100

Available diffs

Superseded in trusty-release on 2013-12-05
Published in saucy-release on 2013-05-18
Deleted in saucy-proposed (Reason: moved to release)
libtasn1-3 (2.14-3) unstable; urgency=low


  * Limit watchfile to only match on 2.x versions.
  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Sat, 18 May 2013 11:57:53 +0200

Available diffs

Superseded in saucy-release on 2013-05-18
Published in raring-release on 2013-02-03
Deleted in raring-proposed (Reason: moved to release)
libtasn1-3 (2.14-2) experimental; urgency=low


  * Fix typo in shlibs version.

 -- Andreas Metzler <email address hidden>  Thu, 27 Sep 2012 20:12:43 +0200

Available diffs

Superseded in raring-release on 2013-02-03
Published in quantal-release on 2012-06-08
libtasn1-3 (2.13-2) unstable; urgency=low


  * Upload to unstable.

 -- Andreas Metzler <email address hidden>  Thu, 07 Jun 2012 17:45:46 +0200

Available diffs

Published in hardy-updates on 2012-05-02
Published in hardy-security on 2012-05-02
libtasn1-3 (1.1-1ubuntu0.1) hardy-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    certain large length values.
    - debian/patches/CVE-2012-1569.patch: return an error when the decoded
      length value plus @len would exceed @der_len in lib/decoding.c.
    - CVE-2012-1569
 -- Marc Deslauriers <email address hidden>   Tue, 24 Apr 2012 15:09:05 -0400
Published in lucid-updates on 2012-05-02
Published in lucid-security on 2012-05-02
libtasn1-3 (2.4-1ubuntu0.1) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    certain large length values.
    - debian/patches/CVE-2012-1569.diff: return an error when the decoded
      length value plus @len would exceed @der_len in lib/decoding.c.
    - CVE-2012-1569
 -- Marc Deslauriers <email address hidden>   Tue, 24 Apr 2012 14:38:23 -0400
Obsolete in natty-updates on 2013-06-04
Obsolete in natty-security on 2013-06-04
libtasn1-3 (2.7-1ubuntu1.1) natty-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    certain large length values.
    - debian/patches/CVE-2012-1569.diff: return an error when the decoded
      length value plus @len would exceed @der_len in lib/decoding.c.
    - CVE-2012-1569
 -- Marc Deslauriers <email address hidden>   Tue, 24 Apr 2012 14:36:17 -0400
Published in oneiric-updates on 2012-05-02
Published in oneiric-security on 2012-05-02
libtasn1-3 (2.9-4ubuntu0.1) oneiric-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    certain large length values.
    - debian/patches/CVE-2012-1569.diff: return an error when the decoded
      length value plus @len would exceed @der_len in lib/decoding.c.
    - CVE-2012-1569
 -- Marc Deslauriers <email address hidden>   Tue, 24 Apr 2012 14:08:21 -0400
Published in precise-updates on 2012-05-02
Published in precise-security on 2012-05-02
libtasn1-3 (2.10-1ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service and possible code execution via
    certain large length values.
    - debian/patches/CVE-2012-1569.diff: return an error when the decoded
      length value plus @len would exceed @der_len in lib/decoding.c.
    - CVE-2012-1569
 -- Marc Deslauriers <email address hidden>   Tue, 24 Apr 2012 14:01:18 -0400
Superseded in quantal-release on 2012-06-08
libtasn1-3 (2.12-1) unstable; urgency=medium


  * New upstream version.

 -- Andreas Metzler <email address hidden>  Mon, 19 Mar 2012 19:25:16 +0100

Available diffs

Superseded in quantal-release on 2012-05-02
Published in precise-release on 2011-11-14
libtasn1-3 (2.10-1ubuntu1) precise; urgency=low

  * debian/rules: Disable compression of NEWS file for now to unbreak
    upgrades. Debugging the underlying gzip bug is quite hard and will take
    more time than a few hours. (LP: #889303)
 -- Martin Pitt <email address hidden>   Mon, 14 Nov 2011 08:59:19 +0100

Available diffs

Superseded in precise-release on 2011-11-14
libtasn1-3 (2.10-1build1) precise; urgency=low

  * No-change rebuild to (hopefully) fix unreproducible broken NEWS.gz on
    amd64. (LP: #889303)
 -- Martin Pitt <email address hidden>   Mon, 14 Nov 2011 08:41:08 +0100

Available diffs

Superseded in precise-release on 2011-11-14
libtasn1-3 (2.10-1) unstable; urgency=low

  [Simon Josefsson]
  * Fix Debian BTS URL in --with-packager-bug-reports option.

  [Andreas Metzler]
  * New upstream Version. (Includes workaround for #639818)
  * Point watchfile to ftp.gnu.org instead of ftp.gnutls.org.
  * [debian/control] Drop priority and section from libtasn1-3 binary package
    stanza.
  * Update debian/copyright.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Fri,  11 Nov 2011 09:26:41 +0000

Available diffs

Superseded in precise-release on 2011-11-11
Published in oneiric-release on 2011-06-20
libtasn1-3 (2.9-4) unstable; urgency=low

  * Merge from Ubuntu (build for multiarch):
    + configure with --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH), update
      *.install accordingly.
    + Bump cdbs Build-Depends to 0.4.93 (required for expanding 
      $(DEB_HOST_MULTIARCH)).
    + Bump debhelper b-d to 8.1.3 (for ${misc:Pre-Depends}).
    + runtime library is Multi-Arch: same and has Pre-Depends: 
      ${misc:Pre-Depends}, -bin (helper binaries)
      is Multi-Arch: foreign. -dev is unchanged.
   * Diverge from the Ubuntu patch by not settting Multi-Arch: same on
     -dbg package. It contains debugging symbols for both library and helper
     binaries ( e.g. /usr/lib/debug/usr/bin/asn1Decoding) and is therefore not
     co-installable with itself.
 -- Steve Langasek <email address hidden>   Mon,  20 Jun 2011 22:26:11 +0000

Available diffs

Superseded in oneiric-release on 2011-06-20
libtasn1-3 (2.9-3ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    - build for multiarch.

Available diffs

Superseded in oneiric-release on 2011-05-21
Obsolete in natty-release on 2013-06-04
libtasn1-3 (2.7-1ubuntu1) natty; urgency=low

  * FFe LP: #733501: build for multiarch.
 -- Steve Langasek <email address hidden>   Mon, 21 Mar 2011 20:44:56 -0700

Available diffs

Superseded in natty-release on 2011-03-22
Obsolete in maverick-release on 2013-03-05
libtasn1-3 (2.7-1) unstable; urgency=low

  * New upstream version.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  31 May 2010 10:31:48 +0100

Available diffs

Superseded in maverick-release on 2010-05-31
libtasn1-3 (2.6-1) unstable; urgency=low

  * New upstream version.
  * Drop libtasn1-config.1, we have not shipped the documented script since
    2.0.

Available diffs

Superseded in maverick-release on 2010-05-09
Published in lucid-release on 2010-02-04
libtasn1-3 (2.4-1) unstable; urgency=low

  * New upstream version.
  * Update debian/copyright.
  * Drop cdbs simple-patchsys in favour of dpkg-source v3. Remove unneeded
    debian/README.source.
  * Use dh_installinfo instead of dh_install for info files to get the
    recommended dependency on dpkg (>= 1.15.4) | install-info.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  04 Feb 2010 17:26:35 +0000

Available diffs

Superseded in lucid-release on 2010-02-04
libtasn1-3 (2.3-1) unstable; urgency=low

  * Move libtasn1-3-bin to section devel. #532649
  * New upstream version.
  * Set newly available --with-packager options.
  * Update homepage location, this is now an official GNU project.
  * Standards version 3.8.2:
    + In debian/copyright point to /usr/share/common-licenses/GFDL-1.3
      instead of shipping our own copy.
  * Fix dh_install pattern for installation of info files to not match a
    dir file.
 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  05 Nov 2009 10:37:41 +0000

Available diffs

Superseded in lucid-release on 2009-11-05
Obsolete in karmic-release on 2013-03-04
libtasn1-3 (2.2-1) unstable; urgency=low

  * Sync debian/control with override file, libtasn1-3-dbg is section debug.
  * New upstream version.
  * Standards-Version 3.8.1, no changes required.
  * Add Homepage field to debian/control.

Available diffs

Superseded in karmic-release on 2009-06-01
libtasn1-3 (1.8-1) unstable; urgency=low

  * New upstream version.
  * [lintian] Add ${misc:Depends}.
  * Standards-Version 3.8.0.
    + Rename README.source_and_patches to README.source

Available diffs

Superseded in karmic-release on 2009-04-29
Obsolete in jaunty-release on 2013-02-28
libtasn1-3 (1.5-1) unstable; urgency=low

  * New upstream bugfix release.
  * Drop tetex-bin Build-Depends alternative.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  04 Nov 2008 21:34:16 +0000

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
libtasn1-3 (1.4-1) unstable; urgency=low

  * New upstream version.
  * remove cruft from debian/rules
  * Use Programming/C instead of gone section Apps/Net for doc-base.

Superseded in intrepid-release on 2008-05-03
Published in hardy-release on 2007-12-03
libtasn1-3 (1.1-1) unstable; urgency=low

  * New upstream version 1.1.
    - Uses GPLv3+ for self tests, tools /with their manpages) and build
      infrastructure.
    - The library itself continues to stay LGPLv2.1+
  * Update debian/copyright.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Mon,  03 Dec 2007 09:54:29 +0000
Superseded in hardy-release on 2007-12-03
libtasn1-3 (0.3.10-1) unstable; urgency=low

  * add texlive-latex-base | tetex-bin to build-depends to allow to run
    dpkg-build-package twice in the same extracted sourcecode. (According to
    my tests this is the minimal package for working pdf-generation from
    makeinfo.) Closes: #424540
  * New upstream version 0.3.10. (Just updated gnulib files and minimal
    changes to configure.in.)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  23 Oct 2007 17:26:43 +0100
Superseded in hardy-release on 2007-10-23
Obsolete in gutsy-release on 2011-09-16
libtasn1-3 (0.3.9-1) unstable; urgency=low

  * New upstream version.
  * Switch to debhelper v5 mode. Drop usr/share/doc/* from
    debian/libtasn1-3-dev.install. Bump build-depends.
  * Downgrade libtasn1-3-bin priority to extra and drop Recomends on
    libtasn1-3-bin in libtasn1-3. (Closes: #416556)

Superseded in gutsy-release on 2007-04-27
Obsolete in feisty-release on 2009-08-20
libtasn1-3 (0.3.6-2build1) feisty; urgency=low

  * Rebuild for changes in the amd64 toolchain.

 -- Matthias Klose <email address hidden>   Mon,  5 Mar 2007 01:21:43 +0000
Superseded in feisty-release on 2007-03-05
libtasn1-3 (0.3.6-2) unstable; urgency=low

  [ Andreas Metzler ]
  * Add a watchfile.
  * Add a copy of the FDL 1.2 to debian/copyright.

Superseded in feisty-release on 2006-11-08
Obsolete in edgy-release on 2008-06-19
libtasn1-3 (0.3.5-1) unstable; urgency=low

  [ Andreas Metzler ]
  * Ship pkg-config file libtasn1.pc.

  [ James Westby ]
  * New upstream revision.
    - Fixes creation of zero length buffers on 64 bit platforms.
      (closes: #375630)

 -- Scott James Remnant <email address hidden>   Fri,  30 Jun 2006 13:34:47 +0100
Superseded in edgy-release on 2006-06-30
Superseded in edgy-release on 2006-06-30
libtasn1-3 (0.3.4-2) unstable; urgency=low

  [ Andreas Metzler ]
  * Set maintainer to alioth mailinglist.
  * Drop code for updating config.guess/config.sub from debian/rules, as cdbs
    handles this. Build-Depend on autotools-dev.
  * Use cdbs' simple-patchsys.mk.
    - add debian/README.source_and_patches
    - add patches/20_asnparser.diff
  * Do not gzip pdf documentation.
  * Register library manual with doc-base.
  * Standards version 3.7.2, no changes required.

  [ James Westby ]
  * Added debian/patches/30_man_hyphen* to fix a lintain warning about use of
    "-" as a minus sign.
  * Added a man-page for libtasn1-config in libtasn1-3-dev.

131 of 31 results